<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_25) on Tue Nov 07 17:08:40 PST 2017 -->
<title>Scheduler</title>
<meta name="date" content="2017-11-07">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Scheduler";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/getset/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../xdc/services/getset/Group.html" title="class in xdc.services.getset"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../xdc/services/getset/Setters.html" title="class in xdc.services.getset"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/getset/Scheduler.html" target="_top">Frames</a></li>
<li><a href="Scheduler.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">xdc.services.getset</div>
<h2 title="Class Scheduler" class="title">Class Scheduler</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>xdc.services.getset.Scheduler</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">Scheduler</span>
extends java.lang.Object</pre>
<div class="block">Schedules execution of Fxns and Groups. Fxns within a
 group always run to completion before another function
 within the group. Groups may interrupt each other.<p/>
 
 <b>Note:</b> Does not support multiple Threads accessing the XDCscript
 object model.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../xdc/services/getset/Scheduler.html#Scheduler()">Scheduler</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/getset/Scheduler.html#createGroup()">createGroup</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../xdc/services/getset/Fxn.html" title="class in xdc.services.getset">Fxn</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/getset/Scheduler.html#getRunningFxn()">getRunningFxn</a></strong>()</code>
<div class="block">Get which Fxn is currently running, or null if none.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/getset/Scheduler.html#getRunningGroup()">getRunningGroup</a></strong>()</code>
<div class="block">Get which Group is currently running, or null if none.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/getset/Scheduler.html#schedule(xdc.services.getset.Group)">schedule</a></strong>(<a href="../../../xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a>&nbsp;group)</code>
<div class="block">Schedule the group for execution.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Scheduler()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Scheduler</h4>
<pre>public&nbsp;Scheduler()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createGroup()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createGroup</h4>
<pre>public static&nbsp;<a href="../../../xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a>&nbsp;createGroup()</pre>
</li>
</ul>
<a name="getRunningGroup()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRunningGroup</h4>
<pre>public static&nbsp;<a href="../../../xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a>&nbsp;getRunningGroup()</pre>
<div class="block">Get which Group is currently running, or null if none.</div>
</li>
</ul>
<a name="getRunningFxn()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRunningFxn</h4>
<pre>public static&nbsp;<a href="../../../xdc/services/getset/Fxn.html" title="class in xdc.services.getset">Fxn</a>&nbsp;getRunningFxn()</pre>
<div class="block">Get which Fxn is currently running, or null if none.</div>
</li>
</ul>
<a name="schedule(xdc.services.getset.Group)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>schedule</h4>
<pre>public static&nbsp;void&nbsp;schedule(<a href="../../../xdc/services/getset/Group.html" title="class in xdc.services.getset">Group</a>&nbsp;group)</pre>
<div class="block">Schedule the group for execution. If the group isn't already running
 then execute it immediately. Interrupts any other groups that are
 currently running.<p/>
 
 If a group that is already running anywhere on the stack is
 rescheduled, ignore the request and let the group complete on it own
 time.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/getset/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../xdc/services/getset/Group.html" title="class in xdc.services.getset"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../xdc/services/getset/Setters.html" title="class in xdc.services.getset"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/getset/Scheduler.html" target="_top">Frames</a></li>
<li><a href="Scheduler.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
